apiVersion: v1
kind: Pod
metadata:
  annotations:
    scheduler.alpha.kubernetes.io/critical-pod: ""
  labels:
    component: kube-scheduler
    tier: control-plane
  name: kube-scheduler
  namespace: kube-system
spec:
  hostNetwork: true
  priorityClassName: system-cluster-critical
  containers:
  - name: kube-scheduler
    image: registry.cn-hangzhou.aliyuncs.com/google_containers/kube-scheduler-amd64:v{{ kube_version }}
    command:
      - kube-scheduler
      - --v={{ log_level }}
      - --logtostderr=true
      - --address=127.0.0.1
      - --leader-elect=true
      {% if feature_gates != '' -%}
      - --feature-gates={{ feature_gates }}
      {% endif -%}
      - --kubeconfig={{ scheduler_kubeconfig }}
    livenessProbe:
      failureThreshold: 8
      httpGet:
        host: 127.0.0.1
        path: /healthz
        port: 10251
        scheme: HTTP
      initialDelaySeconds: 15
      timeoutSeconds: 15
    resources:
      requests:
        cpu: 100m
    volumeMounts:
    - mountPath: {{ pki_dir }}
      name: k8s-certs
      readOnly: true
    - mountPath: {{ scheduler_kubeconfig }}
      name: kubeconfig
      readOnly: true
  volumes:
  - hostPath:
      path: {{ pki_dir }}
      type: DirectoryOrCreate
    name: k8s-certs
  - hostPath:
      path: {{ scheduler_kubeconfig }}
      type: FileOrCreate
    name: kubeconfig
